/* ---------- Header Navigation ---------- */

nav {
    position: relative;
    display: flex;
    height: 40px;
    flex-direction: row;
    align-items: center;
    padding: 16px 120px;

    justify-content: space-between;
}

nav > img.logo {
    width: 40px;
    height: 40px;
}

nav > button {
    width: 24px;
    height: 24px;
    cursor: pointer;

    display: none;
}

nav > button > img.burder_icon {
    width: 100%;
    height: 100%;
}

nav > ul {
    position: absolute;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 32px;
    color: var(--color-full-black);

    left: 50%;
    transform: translateX(-50%);
}

nav > ul > li a {
    color: var(--color-full-black);
}

.download-button {}

nav > a.download-button {
    width: 120px;
    padding: 6px 12px;
}

@media (max-width: 320px) {
    nav {
        padding: 16px 16px;
    }
}

@media (max-width: 450px) {
    nav > a.download-button {
        width: 72px;
    }
}

@media (max-width: 576px) {
    nav > button {
        display: block;
    }

    nav > ul {
        display: none;
    }

    nav > img.logo {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }
}

@media (max-width: 768px) {}

@media (max-width: 1024px) {
    nav {
        padding: 16px 24px;
    }

    nav > ul {
        gap: 16px;
    }
}


/* ---------- Navigation burger screen ---------- */

.menu-screen {
    position: fixed;
    box-sizing: border-box;
    width: 100vw;
    height: 100vh;
    align-self: center;
    z-index: 100;
    background-color: var(--color-neutral-100);

    opacity: 0;
    display: none;

    transition: opacity 200ms ease-in-out;
}

.menu-screen > div {
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-screen > div > ul {
    display: flex;
    gap: 24px;
    flex-direction: column;
    align-items: center;
}

.menu-screen > div > ul a {
    text-align: center;
    color: var(--color-full-black);
}

@media (min-width: 576px) {
    .menu-screen {
        opacity: 0 !important;
        display: none !important;

        border: 5px solid red;
    }
}


/* ---------- Body ---------- */

.screen-1 {
    position: relative;
    margin: 56px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.screen-1 > div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.screen-1 > div > img.logo {
    width: 64px;
    height: 64px;
}

.screen-1 h1, .screen-1 p {
    text-align: center;
}

.screen-1 > div > h1 {
    margin-top: 18px;
    color: var(--color-neutral-11);
}

.screen-1 > div > p {
    margin-top: 8px;
    color: var(--color-full-black);
}

.screen-1 > div > a.download-button {
    width: 208px;
    padding: 16px;
    margin-top: 18px;
}

@media (max-width: 450px) {
    .screen-1 > div > a.download-button {
        padding: 10px 12px;
    }
}

.screen-2 {
    position: relative;
    display: flex;
    width: 100vw;
    height: 370px;
    align-items: center;
    justify-content: center;
}

.screen-2 > .bg-image {
    width: 100%;
    max-width: 2300px;
    height: 100%;

    background-image: url('../static/scene_square/scene_square_01.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

@media (max-width: 320px) {
    .screen-2 {
        height: 400px;
    }
}


@media (min-width: 1440px) {
    .screen-2 {
        height: 400px;
    }
}

@media (min-width: 2000px) {
    .screen-2 {
        height: 500px;
    }
}


.screen-3 {
    position: relative;
    margin: 80px 0px;
    overflow: hidden;
}

.screen-3 > div {
    display: flex;
    align-items: center;
    flex-direction: row;
}

.screen-3 > div > div.about-app-wrapper {
    max-width: 384px;
    margin: 0px 120px;
}

.screen-3 > div > div.about-app-wrapper > h2 {
    text-align: left;
    color: var(--color-full-black);
}

.screen-3 > div > div.about-app-wrapper > p {
    margin-top: 16px;
    text-align: left;
    color: var(--color-neutral-11-65);
}

.screen-3 > div > div.mockup-wrapper {
    height: 560px;
}

.screen-3 > div > div.mockup-wrapper > div {
    position: absolute;
    display: flex;
    flex-direction: row;
    gap: 54px;
}

.screen-3 > div > div.mockup-wrapper img {
    width: 258px;
    height: 560px;
}


@media (min-width: 1620px) {
    .screen-3 > div > div.mockup-wrapper > div {
        position: relative;
    }

    .screen-3 > div {
        justify-content: center;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .screen-3 > div > div.about-app-wrapper {
        margin: 0px 102px 0px 24px;
    }
}

@media (max-width: 768px) {
    .screen-3 > div {
        flex-direction: column;
    }

    .screen-3 > div > div.about-app-wrapper {
        max-width: none;
    }

    .screen-3 > div > div.mockup-wrapper {
         margin-top: 80px;
    }

    .screen-3 > div > div.mockup-wrapper > div {
        position: relative;
    }
}

@media (min-width: 577px) and (max-width: 768px) {
    .screen-3 > div > div.about-app-wrapper {
        margin: 0px 80px;
    }
}

@media (max-width: 576px) {
    .screen-3 > div > div.about-app-wrapper {
        margin: 0px 24px;
    }
}


@media (max-width: 450px) {
    .screen-3 {
        margin: 24px 0px;
    }

    .screen-3 > div > div.mockup-wrapper {
         margin-top: 24px;
    }

    .screen-3 > div > div.mockup-wrapper img:last-child {
        display: none;
    }

    .screen-3 > div > div.mockup-wrapper {
        height: 100%;
    }

    .screen-3 > div > div.mockup-wrapper > div {
        gap: 24px;
        flex-direction: column;
    }
}


.screen-4 {
    position: relative;
    display: flex;
    width: 100vw;
    height: 370px;
    align-items: center;
    justify-content: center;
}

.screen-4 > .bg-image {
    width: 100%;
    max-width: 2300px;
    height: 100%;

    background-image: url('../static/scene_square/scene_square_05.jpg');
    background-size: cover;
    background-position: 80% 20%;
    background-repeat: no-repeat;
}

@media (max-width: 320px) {
    .screen-4 {
        height: 400px;
    }
}

@media (max-width: 450px) {
    .screen-4 > .bg-image {
        background-position: center;
    }
}

@media (min-width: 1440px) {
    .screen-4 {
        height: 400px;
    }
}

@media (min-width: 2000px) {
    .screen-4 {
        height: 500px;
    }
}



.screen-5 {
    position: relative;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    margin: 80px 0px;
}

.screen-5 > div {
    width: 100%;
    max-width: 600px;
    margin: 0px 24px;
}

.screen-5 > div > h2 {
    text-align: left;
    color: var(--color-full-black);
}

.screen-5 > div > div {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    gap: 16px;
    margin: 16px 0px;
}

.screen-5 > div > div > a {
    display: flex;
    flex: 1 1 0; /* flex-grow: 1, flex-shrink: 1, flex-basis: 0 */
    min-width: 0;
    width: 100%;
    height: auto;
    cursor: pointer;
    object-fit: contain;
}

.screen-5 > div > div > a picture,
.screen-5 > div > div > a > picture > img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.screen-5 > div > div.bg-image-small {
    width: 100%;
    height: 240px;
    margin-top: 16px;
    border-radius: 32px;
    background-image: url('../static/scene_square/scene_square_07.jpg');
    background-size: cover;
    background-position: 90% 10%;
    background-repeat: no-repeat;
}


@media (min-width: 1025px) and (max-width: 1440px) {
    .screen-5 > div {
        max-width: 690px;
    }
}

@media (max-width: 576px) {
    .screen-5 > div > div {
         flex-direction: column;
    }
}

@media (max-width: 450px) {
    .screen-5 {
        margin: 24px 0px;
    }
}



.screen-6 {
    position: relative;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    margin: 0px 0px 80px 0px;
}

.screen-6 > div {
    width: 100%;
    max-width: 600px;
    margin: 0px 24px;
}

.screen-6 > div > h2 {
    text-align: left;
    color: var(--color-full-black);
}

.screen-6 > div > div.bg-image-small {
    width: 100%;
    height: 240px;
    margin-top: 16px;
    border-radius: 32px;
    background-image: url('../static/scene_square/scene_square_03.jpg');
    background-size: cover;
    background-position: 75% 25%;
    background-repeat: no-repeat;
}

.screen-6 > div > div.contact-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 16px;
    margin: 16px 0px;
}

.screen-6 > div > div.contact-wrapper > div {
    flex: 1 1 0;
    width: 100%;
    padding: 16px;
    border-radius: 16px;
    box-sizing: border-box;
    background-color: var(--color-neutral-96);
}

.screen-6 > div > div.contact-wrapper > div > p {
    text-align: left;
    color: var(--color-full-black);
}

.screen-6 > div > div.contact-wrapper > div > a {
    text-align: left;
    color: var(--color-blue-35);
}

@media (min-width: 1025px) and (max-width: 1440px) {
    .screen-6 > div {
        max-width: 690px;
    }
}

@media (max-width: 450px) {
    .screen-6 {
        margin: 0px 0px 24px 0px;
    }

    .screen-6 > div > div.contact-wrapper {
         flex-direction: column;
    }
}




.screen-7 {
    position: relative;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    margin: 0px 0px 80px 0px;
}


.screen-7 > div {
    width: 100%;
    max-width: 600px;
    margin: 0px 24px;
}


.screen-7 > div > h2 {
    text-align: left;
    color: var(--color-full-black);
}

.screen-7 > div > p {
    text-align: left;
    margin-top: 16px;
    color: var(--color-neutral-11-65);
}

@media (min-width: 1025px) and (max-width: 1440px) {
    .screen-7 > div {
        max-width: 690px;
    }
}

@media (max-width: 450px) {
    .screen-7 {
        margin: 0px 0px 24px 0px;
    }
}


.feedback-form {
    position: relative;
}

.feedback-form > div.form-group {
    width: 100%;
    display: flex;
    flex: 1;
    flex-direction: column;
}

.feedback-form label.form-label {
    display: block;
    text-align: left;
    margin-top: 16px;
    color: var(--color-neutral-11-65);
}

.feedback-form label > span.required {
    text-align: left;
    color: var(--color-accent-56);
}

.feedback-form textarea {
    resize: none;
    min-height: 120px;
}

.feedback-form input,
.feedback-form textarea {
    position: relative;
    display: flex;
    flex: 1;
    border: 1px solid transparent;
    padding: 16px;
    border-radius: 16px;
    color: var(--color-neutral-11);
    background-color: var(--color-neutral-96);

    transition: all 200ms ease-in-out;
}

.feedback-form input:hover,
.feedback-form textarea:hover {
    border-color: var(--color-neutral-85);
    background-color: var(--color-neutral-100);
}

.feedback-form input:focus,
.feedback-form textarea:focus {
    outline: none;
    filter: alpha(opacity=1);
    -moz-opacity: 1;
    opacity: 1;

    border-color: var(--color-accent-56);
    background-color: var(--color-neutral-100);
}

.feedback-form input::-webkit-input-placeholder,
.feedback-form textarea::-webkit-input-placeholder {
    color: var(--color-neutral-11-35);
}

.feedback-form input::-moz-placeholder,
.feedback-form textarea::-moz-placeholder {
    color: var(--color-neutral-11-35);
}

.feedback-form input:-moz-placeholder,
.feedback-form textarea:-moz-placeholder {
    color: var(--color-neutral-11-35);
}

.feedback-form input:-ms-input-placeholder,
.feedback-form textarea:-ms-input-placeholder {
    color: var(--color-neutral-11-35);
}

.feedback-form div.error-message {
    margin-top: 4px;

    display: none;
}

.feedback-form div.error-message > p {
    text-align: left;
    color: var(--color-accent-56);
}

.submit-form-button {
    width: 100%;
    padding: 16px;
    margin-top: 16px;
}

.submit-form-button > span {
    text-align: center;
}


/* ---------- Footer ---------- */

footer {
    position: relative;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100vw;
    margin: 0px;
    padding: 56px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-neutral-11);
}

footer > div {
    width: 100%;
    margin: 0px 80px;
    max-width: 1176px;
    text-wrap: balance;
}

@media (max-width: 768px) {
    footer > div {
        margin: 0px 24px;
    }
}

footer > div hr {
    border: none;
    height: 1px;
    opacity: 0.15;
    margin: 16px 0px;
    background-color: var(--color-neutral-100);
}

footer > div a,
footer > div p {
    text-align: center;
    color: var(--color-neutral-100);
}

footer > div > div {
    display: flex;
    gap: 32px;
    flex-wrap: wrap;
    justify-content: center;
}

footer > div > div:first-child {
    gap: 8px;
    align-items: center;
    flex-direction: column;
}

footer > div > div:last-child {
    gap: 0px;
}

footer > div > div > img.logo {
    width: 40px;
    height: 40px;
}

@media (max-width: 768px) {
    footer > div > div:nth-child(5) {
        gap: 16px;
        flex-direction: column;
    }
}

@media (max-width: 576px) {
    footer > div > div:nth-child(3) {
        gap: 16px;
        flex-direction: column;
    }
}

